SRC/cpttrf.f(3)

NAME
SRC/cpttrf.f

SYNOPSIS

  Functions/Subroutines
subroutine cpttrf (n, d, e, info)
CPTTRF

Function/Subroutine Documentation

  subroutine cpttrf (integer n, real, dimension( * ) d, complex, dimension( * ) e, integer info)

CPTTRF

Purpose:

    !>
    !> CPTTRF computes the L*D*L**H factorization of a complex Hermitian
    !> positive definite tridiagonal matrix A.  The factorization may also
    !> be regarded as having the form A = U**H *D*U.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          On entry, the n diagonal elements of the tridiagonal matrix
    !>          A.  On exit, the n diagonal elements of the diagonal matrix
    !>          D from the L*D*L**H factorization of A.
    !>

    E

    !>          E is COMPLEX array, dimension (N-1)
    !>          On entry, the (n-1) subdiagonal elements of the tridiagonal
    !>          matrix A.  On exit, the (n-1) subdiagonal elements of the
    !>          unit bidiagonal factor L from the L*D*L**H factorization of A.
    !>          E can also be regarded as the superdiagonal of the unit
    !>          bidiagonal factor U from the U**H *D*U factorization of A.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0: successful exit
    !>          < 0: if INFO = -k, the k-th argument had an illegal value
    !>          > 0: if INFO = k, the leading principal minor of order k
    !>               is not positive; if k < N, the factorization could not
    !>               be completed, while if k = N, the factorization was
    !>               completed, but D(N) <= 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 91 of file cpttrf.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.